[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadTime

Read a time value

## Declaration

Source position: inifiles.pp line 140

`public function TCustomIniFile.ReadTime(`
`const Section: String;`
`const Ident: String;`
`Default: TDateTime`
`):TDateTime; virtual;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as a TDateTime

## Description

ReadTime reads the key Ident in section Section, and returns the value as a time (TDateTime). If the specified key or section do not exist, then the value in Default is returned. If the key exists, but contains an invalid time value, Default is also returned. The international settings of the SysUtils are taken into account when deciding if the read value is a correct time.

## See also

WriteTime |  | Write time value
ReadInteger |  | Read an integer value from the file
ReadBool |  |
ReadDate |  | Read a date value
ReadDateTime |  | Read a Date/Time value
ReadString |  | Read a string valued key
ReadFloat |  | Read a floating point value
ReadBinaryStream |  | Read binary data

The latest version of this document can be found at lazarus-ccr.sourceforge.net .